# Territory Grants

The purpose of this transaction is that a user can transfer his territory to another user, but the premise is that there are no files stored in this territory and the status is Active.

```rust
/// Transfers a territory from one user to another.
///
/// This transaction allows a user to transfer their territory to another user. 
/// The territory must be empty (i.e., no files stored in it) and its status must be `Active` 
/// for the transfer to be successful.
///
/// # Arguments
///
/// * `territory_name` - A reference to a string slice that holds the name of the territory to be transferred.
/// * `receiver` - A reference to a string slice that holds the account identifier of the receiving user.
///
/// # Returns
///
/// This function returns a `Result` which is:
/// * `Ok(TxHash)` - The transaction hash of the successful territory transfer.
/// * `Err(Box<dyn std::error::Error>)` - An error if the transaction fails.
///
pub async fn territory_grants(
    &self,
    territory_name: &str,
    receiver: &str,
) -> Result<TxHash, Box<dyn std::error::Error>>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.cess.network/developer/cess-sdk/sdk-rust/chain/storage_handler/territory_grants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
